[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: 2.4.14 + latest patch != ext3 support



On Wed, 07 November 2001, "Robinson Maureira Castillo" wrote:

> 
> > Hello,
> Hi!
> 
> > I just need a little clarification regarding applying the ext3 patch 
> > to the latest kernel.
> > I have 2.4.7-10 that came with RH 7.2.
> > I have ext3 running.
> > I need to upgrade those (to get some USB device working).
> 
> > So I got the latest kernel, 2.4.14, patched it with the ext3-2.4-
> >0.9.15-2414 patch, picked ext3 from 'make xconfig', built the 
> > kernel, but the new stuff in /boot, etc., however when I reboot I 
> >still see a message saying that this kernel does not support ext3.
> 
> >Do I have to run tune2fs -j /dev/hdXX even though I had ext3 there 
> >before? /etc/fstab indicates ext3, as well.
> 
> >Well, I tried it anyway:
> ># tune2fs -j /dev/hda5
> >tune2fs 1.23, 15-Aug-2001 for EXT2 FS 0.5b, 95/08/09
> >The filesystem already has a journal.
> 
> 
> > So, I'm wondering how come I can't get the kernel to support ext3 
> >FS, basically :)
> 
> >Does anyone (not) see a missing step?
> 
> ext3 as a module or built in the kernel? if you want to use it as a 
> module, then you need to enable support for an initial ramdisk 
> (initrd) and build a proper initrd (i.e. mkinitrd -v /boot/initrd-
> 2.4.14.img 2.4.14)

No, I chose to have ext3 built into kernel.

Thanks,
Otis

_________________________________________________________________
iVillage.com: Solutions for Your Life 
Check out the most exciting women's community on the Web   
http://www.ivillage.com





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]